curl --request GET \
--url {protocol}://{host}/v2/loyalties/programs/{programId}/members/{memberId}/tiers/transactions \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"data": [
{
"id": "lttx_12fa3c024b476799e1",
"card_id": "lcrd_128f962dbd8c4ba5e1",
"program_id": "lprg_128f58429f4c4bf7b2",
"member_id": "lmbr_128f962dbc8c4ba5dc",
"card_definition_id": "lcdef_128f4a88414c4bed69",
"tier_structure_id": "lts_128f4b460e4c4bedf6",
"tier_id": "lt_128f4b46808c4bee07",
"type": "UPGRADED",
"details": {
"points": 500,
"tier_from": "lt_128f4b46400c4bedfb",
"tier_to": "lt_128f4b46808c4bee07",
"origin": {
"type": "card_operations",
"card_transaction_ids": [
"lctx_12fa3c0169a025a387"
]
},
"rejection": null,
"start_at": null,
"expires_at": null
},
"status": "APPROVED",
"created_at": "2026-09-02T12:03:12.301Z",
"updated_at": "2026-09-02T12:03:12.908Z",
"object": "tier_transaction"
},
{
"id": "lttx_12f7dc870f4fbd500c",
"card_id": "lcrd_128f962dbd8c4ba5e1",
"program_id": "lprg_128f58429f4c4bf7b2",
"member_id": "lmbr_128f962dbc8c4ba5dc",
"card_definition_id": "lcdef_128f4a88414c4bed69",
"tier_structure_id": "lts_128f4b460e4c4bedf6",
"tier_id": "lt_128f4b46400c4bedfb",
"type": "DOWNGRADED",
"details": {
"points": 0,
"tier_from": "lt_128f4b46808c4bee07",
"tier_to": "lt_128f4b46400c4bedfb",
"origin": {
"type": "card_operations",
"card_transaction_ids": [
"lctx_12f7dc8650267658b4"
]
},
"rejection": null,
"start_at": null,
"expires_at": null
},
"status": "APPROVED",
"created_at": "2026-08-31T15:49:04.701Z",
"updated_at": "2026-08-31T15:49:05.673Z",
"object": "tier_transaction"
},
{
"id": "lttx_12f3b6e3a268738b18",
"card_id": "lcrd_128f962dbd8c4ba5e1",
"program_id": "lprg_128f58429f4c4bf7b2",
"member_id": "lmbr_128f962dbc8c4ba5dc",
"card_definition_id": "lcdef_128f4a88414c4bed69",
"tier_structure_id": "lts_128f4b460e4c4bedf6",
"tier_id": null,
"type": "EVALUATION_REFRESHED",
"details": {
"points": 2221000,
"tier_from": null,
"tier_to": null,
"origin": {
"type": "card_operations",
"card_transaction_ids": [
"lctx_12f3b6e28cae8bfa27"
]
},
"rejection": null,
"start_at": null,
"expires_at": null
},
"status": "APPROVED",
"created_at": "2026-08-28T10:30:42.569Z",
"updated_at": "2026-08-28T10:30:43.406Z",
"object": "tier_transaction"
},
{
"id": "lttx_1294dc734a1bbeb5ec",
"card_id": "lcrd_128f962dbd8c4ba5e1",
"program_id": "lprg_128f58429f4c4bf7b2",
"member_id": "lmbr_128f962dbc8c4ba5dc",
"card_definition_id": "lcdef_128f4a88414c4bed69",
"tier_structure_id": "lts_128f4b460e4c4bedf6",
"tier_id": null,
"type": "EXPIRATION_CHANGED",
"details": {
"points": 500,
"tier_from": null,
"tier_to": null,
"origin": {
"type": "daily_task_operations"
},
"rejection": null,
"start_at": null,
"expires_at": "2026-07-15T23:59:59.999Z"
},
"status": "APPROVED",
"created_at": "2026-06-15T18:19:06.920Z",
"updated_at": "2026-06-15T18:19:07.918Z",
"object": "tier_transaction"
},
{
"id": "lttx_128f962dbf0c4ba5e5",
"card_id": "lcrd_128f962dbd8c4ba5e1",
"program_id": "lprg_128f58429f4c4bf7b2",
"member_id": "lmbr_128f962dbc8c4ba5dc",
"card_definition_id": "lcdef_128f4a88414c4bed69",
"tier_structure_id": "lts_128f4b460e4c4bedf6",
"tier_id": "lt_128f4b46400c4bedfb",
"type": "JOINED",
"details": {
"points": 0,
"tier_from": null,
"tier_to": "lt_128f4b46400c4bedfb",
"origin": {
"type": "member_card_created"
},
"rejection": null,
"start_at": null,
"expires_at": null
},
"status": "APPROVED",
"created_at": "2026-06-11T15:59:41.308Z",
"updated_at": "2026-06-11T15:59:42.248Z",
"object": "tier_transaction"
}
],
"cursor": {
"next": "lcrsttx_130e8b9d41ee46fb7a",
"expires_at": "2026-09-18T06:50:37.639Z"
},
"object": "list"
}List member tier transactions
Lists tier transactions (tier joins, leaves, upgrades, downgrades, expiration changes, and evaluation refreshes) for the given program member, with cursor-based pagination.
Supports filtering by card ID and creation date.
Returns 400 when the provided cursor is invalid or has expired. Returns 404 when the program or member does not exist.
curl --request GET \
--url {protocol}://{host}/v2/loyalties/programs/{programId}/members/{memberId}/tiers/transactions \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"data": [
{
"id": "lttx_12fa3c024b476799e1",
"card_id": "lcrd_128f962dbd8c4ba5e1",
"program_id": "lprg_128f58429f4c4bf7b2",
"member_id": "lmbr_128f962dbc8c4ba5dc",
"card_definition_id": "lcdef_128f4a88414c4bed69",
"tier_structure_id": "lts_128f4b460e4c4bedf6",
"tier_id": "lt_128f4b46808c4bee07",
"type": "UPGRADED",
"details": {
"points": 500,
"tier_from": "lt_128f4b46400c4bedfb",
"tier_to": "lt_128f4b46808c4bee07",
"origin": {
"type": "card_operations",
"card_transaction_ids": [
"lctx_12fa3c0169a025a387"
]
},
"rejection": null,
"start_at": null,
"expires_at": null
},
"status": "APPROVED",
"created_at": "2026-09-02T12:03:12.301Z",
"updated_at": "2026-09-02T12:03:12.908Z",
"object": "tier_transaction"
},
{
"id": "lttx_12f7dc870f4fbd500c",
"card_id": "lcrd_128f962dbd8c4ba5e1",
"program_id": "lprg_128f58429f4c4bf7b2",
"member_id": "lmbr_128f962dbc8c4ba5dc",
"card_definition_id": "lcdef_128f4a88414c4bed69",
"tier_structure_id": "lts_128f4b460e4c4bedf6",
"tier_id": "lt_128f4b46400c4bedfb",
"type": "DOWNGRADED",
"details": {
"points": 0,
"tier_from": "lt_128f4b46808c4bee07",
"tier_to": "lt_128f4b46400c4bedfb",
"origin": {
"type": "card_operations",
"card_transaction_ids": [
"lctx_12f7dc8650267658b4"
]
},
"rejection": null,
"start_at": null,
"expires_at": null
},
"status": "APPROVED",
"created_at": "2026-08-31T15:49:04.701Z",
"updated_at": "2026-08-31T15:49:05.673Z",
"object": "tier_transaction"
},
{
"id": "lttx_12f3b6e3a268738b18",
"card_id": "lcrd_128f962dbd8c4ba5e1",
"program_id": "lprg_128f58429f4c4bf7b2",
"member_id": "lmbr_128f962dbc8c4ba5dc",
"card_definition_id": "lcdef_128f4a88414c4bed69",
"tier_structure_id": "lts_128f4b460e4c4bedf6",
"tier_id": null,
"type": "EVALUATION_REFRESHED",
"details": {
"points": 2221000,
"tier_from": null,
"tier_to": null,
"origin": {
"type": "card_operations",
"card_transaction_ids": [
"lctx_12f3b6e28cae8bfa27"
]
},
"rejection": null,
"start_at": null,
"expires_at": null
},
"status": "APPROVED",
"created_at": "2026-08-28T10:30:42.569Z",
"updated_at": "2026-08-28T10:30:43.406Z",
"object": "tier_transaction"
},
{
"id": "lttx_1294dc734a1bbeb5ec",
"card_id": "lcrd_128f962dbd8c4ba5e1",
"program_id": "lprg_128f58429f4c4bf7b2",
"member_id": "lmbr_128f962dbc8c4ba5dc",
"card_definition_id": "lcdef_128f4a88414c4bed69",
"tier_structure_id": "lts_128f4b460e4c4bedf6",
"tier_id": null,
"type": "EXPIRATION_CHANGED",
"details": {
"points": 500,
"tier_from": null,
"tier_to": null,
"origin": {
"type": "daily_task_operations"
},
"rejection": null,
"start_at": null,
"expires_at": "2026-07-15T23:59:59.999Z"
},
"status": "APPROVED",
"created_at": "2026-06-15T18:19:06.920Z",
"updated_at": "2026-06-15T18:19:07.918Z",
"object": "tier_transaction"
},
{
"id": "lttx_128f962dbf0c4ba5e5",
"card_id": "lcrd_128f962dbd8c4ba5e1",
"program_id": "lprg_128f58429f4c4bf7b2",
"member_id": "lmbr_128f962dbc8c4ba5dc",
"card_definition_id": "lcdef_128f4a88414c4bed69",
"tier_structure_id": "lts_128f4b460e4c4bedf6",
"tier_id": "lt_128f4b46400c4bedfb",
"type": "JOINED",
"details": {
"points": 0,
"tier_from": null,
"tier_to": "lt_128f4b46400c4bedfb",
"origin": {
"type": "member_card_created"
},
"rejection": null,
"start_at": null,
"expires_at": null
},
"status": "APPROVED",
"created_at": "2026-06-11T15:59:41.308Z",
"updated_at": "2026-06-11T15:59:42.248Z",
"object": "tier_transaction"
}
],
"cursor": {
"next": "lcrsttx_130e8b9d41ee46fb7a",
"expires_at": "2026-09-18T06:50:37.639Z"
},
"object": "list"
}Authorizations
Path Parameters
Unique loyalty program ID (format lprg_[a-f0-9]+).
^lprg_[a-f0-9]+$Program member ID (format lmbr_[a-f0-9]+).
^lmbr_[a-f0-9]+$Query Parameters
Maximum number of items to return. An integer between 1 and 100; numeric strings are also accepted. Defaults to 10.
1 <= x <= 100Sort order. A field name, optionally prefixed with - for descending order. May be provided multiple times (array). The same field cannot be used in both ascending and descending order at once. Default: -created_at.
-created_at, created_at Pagination cursor returned in the cursor.next field of a previous response (format: lcrsttx_ followed by hexadecimal characters).
^lcrsttx_[a-f0-9]+$Field filters, e.g. filters[card_id][conditions][$is]=lcrd_.... Each field accepts a conditions object with condition operators.
Request query schema for GET /v2/loyalties/programs/{programId}/members/{memberId}/tiers/transactions.
Show child attributes
Show child attributes
Response
Paginated list of tier transactions.
Response body schema for GET /v2/loyalties/programs/{programId}/members/{memberId}/tiers/transactions.

